Eclipse Mylyn

Access your bug trackers inside Eclipse, and work more productively with a task-focused user interface.

Download Eclipse Mylar 2.0.0.M3 for EasyEclipse 1.2.2:

    

Download Eclipse Mylyn 2.0.0 for EasyEclipse 1.3:

(5.8MB)  (5.9MB)  (5.6MB)

Mylyn adds two main, related, capabilities to Eclipse:

Mylyn can monitor your work activity to identify information relevant to the task-at-hand. Mylyn uses this task context to focus the Eclipse UI on the interesting information, hide the uninteresting, and automatically find what's related.

Note: Until release 1.2.2, Mylyn was called Mylar.

There are currently 2 comments for this plugin. You can review them and add more here.

Installing this plugin

This plugin is not shipped in any distribution. You must manually install it on an EasyEclipse distribution.

The dependent plugins Eclipse Java Development Tools and Eclipse CVS client must be present in the EasyEclipse distribution you use, or must be installed separately.

Getting started

Help is available for this plugin, in the Help > Help Contents menu in EasyEclipse.

However, the included help is minimal. You will find more help online.

Two tutorials are also present. To access the tutorials, select Help > Welcome, and in the welcome page, select the Tutorials icon (checkbox and pen). Then select Mylyn > Use the Task List or Mylyn > Use the Task-Focused UI.

Note also that to use some functionalities of the Task repositories integration, in particular to cache the tasks in Mylyn and work off-line, you must install some specific software on the Task repository server. See the FAQ for more information.

Useful links

Changelog

Changes in EasyEclipse 1.3.0:

Changes in EasyEclipse 1.2.2: Changes in EasyEclipse 1.2.1.1: Changes in EasyEclipse 1.2.1: Changes in EasyEclipse 1.0.0:

Credits and License

Credits: Eclipse Foundation, Mik Kersten, Mylyn team

Copyright (c) Eclipse contributors and others. 2000-2007. All rights reserved.

This plugin is licensed under the Eclipse Public License 1.0 license.

        
    

2 Comments »

Comment by Thiago F. G. Albuquerque
2008-01-18 14:07:59

There is something wrong with this plugin for EasyEclipse 1.2.2. When I try to install another plugin, I get this error:

‘The current configuration contains errors and this operation can have unpredictable results.
Eclipse Mylar (2.0.0.M3) requires plug-in “org.eclipse.pde.ui”.’

This happened when I tried to install Abator For Eclise (http://ibatis.apache.org/abator.html) and EclipseWiki (http://eclipsewiki.sourceforge.net/).

I had to disable Mylar in order to be able to install the other plugins.

Comment by Philippe
2008-01-18 15:38:54

Yes this is a known issue. I have pending bugs @ eclipse on the topic. They should be corrected n future versions.
In the meantime you could try to also install PDE on top of your install.
BTW, if you have a good experience with Abatis and Eclipsewiki, please enter a feature request so we could ship them in the future.

 
 
Your name (required for validation and display)
Your e-mail (required for validation but never displayed)
Your website URL (optional for display)
Your comment (smaller size | larger size)
You may use <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong> in your comment.